Contents

# Add-in Functions

The following describes and lists some of the available add-in functions.

Add-in concept

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL.

## Add-ins supplied

LibreOffice contains examples for the add-in interface of LibreOffice Calc.

Analysis Functions Part One

Analysis Functions Part Two

## DAYSINMONTH

Calculates the number of days in the month in which the given date occurs.

#### Syntax

DAYSINMONTH(Date)

Date is any date in the desired month of the desired year. The Date parameter must be a valid date according to the locale settings of LibreOffice.

#### Example

=DAYSINMONTH(A1) returns 29 days if A1 contains 1968-02-17, a valid date for February 1968.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINMONTH

DAYSINMONTH wiki page.

## DAYSINYEAR

Calculates the number of days in the year in which the given date occurs.

#### Syntax

DAYSINYEAR(Date)

Date is any date in the desired year. The Date parameter must be a valid date according to the locale settings of LibreOffice.

#### Example

=DAYSINYEAR(A1) returns 366 days if A1 contains 1968-02-29, a valid date for the year 1968.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINYEAR

DAYSINYEAR wiki page.

## ISLEAPYEAR

Determines whether a year is a leap year. If yes, the function will return the value 1 (TRUE); if not, it will return 0 (FALSE).

#### Syntax

ISLEAPYEAR(Date)

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

Microsoft Excel wrongly assumes year 1900 to be a leap year and considers the inexistent day of 1900-02-29 as valid in date calculations. Dates prior to 1900-03-01 are therefore different in Excel and Calc.

#### Example

=ISLEAPYEAR(A1) returns 1, if A1 contains 1968-02-29, the valid date 29th February 1968 in your locale setting.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

Never use =ISLEAPYEAR(29/02/68), because this would first evaluate 29 divided by 2 divided by 68, and then calculate the ISLEAPYEAR function from this small number as a serial date number.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ISLEAPYEAR

ISLEAPYEAR wiki page.

## MONTHS

Calculates the difference in months between two dates.

#### Syntax

MONTHS(StartDate; EndDate; Type)

StartDate is the first date

EndDate is the second date

Type specifies the type of difference to calculate. Possible values include 0 (interval) and 1 (in calendar months).

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.MONTHS

MONTHS wiki page.

## ROT13

Encrypts a text string by moving the characters 13 positions in the alphabet. After the letter Z, the alphabet begins again (Rotation). By applying the encryption function again to the resulting code, you can decrypt the text.

#### Syntax

ROT13(Text)

Text is the text string to be encrypted. ROT13(ROT13(Text)) decrypts the code.

#### Example

=ROT13("Gur Qbphzrag Sbhaqngvba jnf sbhaqrq va Frcgrzore 2010.") returns the string "The Document Foundation was founded in September 2010.". Notice how spaces, digits, and full stops are unaffected by ROT13.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ROT13

Refer to the ROT13 wiki page for more details about this function.

## WEEKS

Calculates the difference in weeks between two dates.

#### Syntax

WEEKS(StartDate; EndDate; Type)

StartDate is the start date in the interval.

EndDate is the end date in the interval. The end date must be greater than the start date, or else an error is returned.

Type specifies the type of difference to be calculated. Possible values are 0 (time interval) or 1 (calendar weeks).

If Type = 0 the function will assume that 7 days is equivalent to one week without considering any specific day to mark the beginning of a week.

If Type = 1 the function will consider Monday to be the first day of the week. Therefore, except for the start date, each occurrence of a Monday in the interval is counted as an additional week.

This function considers Monday to be the first day of the week regardless of the current locale settings.

#### Example

In the following examples, dates are passed as strings. However, they can also be stored in separate cells and be passed as references.

=WEEKS("01/12/2022","01/17/2022",0) returns 0 because Type was set to 0 and there are only 5 days in the interval.

=WEEKS("01/12/2022","01/19/2022",0) returns 1 because Type was set to 0 and there are 7 days in the interval.

=WEEKS("01/12/2022","01/17/2022",1) returns 1 because Type was set to 1 and the interval contains a Monday, since 01/12/2022 is a Wednesday and 01/17/2022 is a Monday.

=WEEKS("01/10/2022","01/15/2022",1) returns 0 because Type was set to 1 and the interval does not contain any Mondays, except for the start date.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKS

WEEKS wiki page.

## WEEKSINYEAR

Calculates the number of weeks in the year in which the given date occurs. The number of weeks is defined as follows: a week that spans two years is added to the year in which most days of that week occur.

#### Syntax

WEEKSINYEAR(Date)

Date is any date in the desired year. The Date parameter must be a valid date according to the locale settings of LibreOffice.

#### Example

WEEKSINYEAR(A1) returns 53 if A1 contains 1970-02-17, a valid date for the year 1970.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKSINYEAR

WEEKSINYEAR wiki page.

## YEARS

Calculates the difference in years between two dates.

#### Syntax

YEARS(StartDate; EndDate; Type)

StartDate is the first date

EndDate is the second date

Type specifies the type of difference to calculate. Possible values are 0 (interval) and 1 (in calendar years).

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.YEARS

YEARS wiki page.

## Add-ins through LibreOffice API

Add-ins can also be implemented through the LibreOffice API.

Related Topics

Functions by Category